> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soroswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Pools

> Retrieves the pools available for a specific network and protocol.
    
    GET /pools?network=MAINNET&protocol=SOROSWAP&assetList=SOROSWAP,AQUA



## OpenAPI

````yaml GET /pools
openapi: 3.0.0
info:
  title: Soroswap API
  description: >+

    # 🚀 Soroswap API


    **Soroswap.Finance** is both an **Automated Market Maker (AMM)** and a **DEX
    Aggregator** on the Stellar blockchain.


    It aggregates liquidity from Soroban DEXes (**Soroswap, Phoenix, Aqua and
    Comet(TBA)**), and the **Stellar Classic DEX** — giving you **the best trade
    routes, liquidity tools, and real-time market data**.


    ---


    ## 📋 What You Can Do


    - 🔄 **Quote** – Get the best trade route between two assets with
    split-routing logic across AMMs and SDEX.  

    - 🧱 **Build** – Generate and simulate unsigned transactions (XDR) for swaps
    or liquidity actions.  

    - 🚀 **Send** – Submit signed transactions via Soroban RPC or Horizon.

    - ⚡ **Gasless Trustlines** – Use `gaslessTrustline` in `/quote` to open
    trustlines for users without requiring them to hold XLM or deal with
    trustline setup themselves.

    - 💰 **Platform Fees** – Add your own fee to user swaps with
    `platformFee`.  

    - 💧 **Liquidity** – Create LPs, add liquidity, remove liquidity.  

    - 💲 **Price** – Get real-time token prices.  

    - 🧠 **Pools** – View detailed pool information for Soroswap AMM.


    📮 **[Downnload the Postman Collection
    here](https://drive.google.com/drive/folders/1G-LQYE2EojPWP1CSuuS_tDb9vjYbFR6E?usp=drive_link)**

  version: '1.0'
  contact: {}
  x-logo:
    url: https://links.paltalabs.io/soroswap-full.svg
    backgroundColor: '#0e0e0e'
    altText: Soroswap Logo
    href: https://soroswap.finance
servers: []
security: []
tags: []
paths:
  /pools:
    get:
      tags:
        - Pools
      summary: Pools
      description: |-
        Retrieves the pools available for a specific network and protocol.
            
            GET /pools?network=MAINNET&protocol=SOROSWAP&assetList=SOROSWAP,AQUA
      operationId: PoolsController_getPairs
      parameters:
        - name: network
          required: true
          in: query
          description: Network in which the pairs will be searched
          schema:
            enum:
              - testnet
              - mainnet
            type: string
        - name: protocol
          required: true
          in: query
          description: Protocol in which the pairs will be searched
          schema:
            type: array
            items:
              type: string
        - name: assetList
          required: false
          in: query
          description: >-
            Filter pairs by asset lists (e.g. SOROSWAP, AQUA, STELLAR_EXPERT,
            LOBSTR)
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: Returns an array of pools
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    protocol:
                      type: string
                      example: soroswap
                      description: Protocol name
                    address:
                      type: string
                      example: CAM7DY53G63XA4AJRS24Z6VFYAFSSF76C3RZ45BE5YU3FQS5255OOABP
                      description: Pool contract address
                    tokenA:
                      type: string
                      example: CAS3J7GYLGXMF6TDJBBYYSE3HQ6BBSMLNUQ34T6TZMYMW2EVH34XOWMA
                      description: First token contract address
                    tokenB:
                      type: string
                      example: CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75
                      description: Second token contract address
                    reserveA:
                      type: string
                      example: '4286614183151'
                      description: Reserve amount for token A
                    reserveB:
                      type: string
                      example: '1009473414112'
                      description: Reserve amount for token B
                    ledger:
                      type: number
                      example: 57727251
                      description: Ledger number when data was last updated
                example:
                  - protocol: soroswap
                    address: CAM7DY53G63XA4AJRS24Z6VFYAFSSF76C3RZ45BE5YU3FQS5255OOABP
                    tokenA: CAS3J7GYLGXMF6TDJBBYYSE3HQ6BBSMLNUQ34T6TZMYMW2EVH34XOWMA
                    tokenB: CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75
                    reserveA: '4286614183151'
                    reserveB: '1009473414112'
                    ledger: 57727251
        '400':
          description: Bad Request
        '502':
          description: Invalid request

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.